Bug 1118385 - Misleading error reported when using multicast MAC address for vNIC
Summary: Misleading error reported when using multicast MAC address for vNIC
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.5.0
Assignee: Yevgeny Zaspitsky
QA Contact: Pavel Stehlik
URL:
Whiteboard: network
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 14:56 UTC by Steve Kilduff
Modified: 2016-02-10 19:37 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:41:36 UTC
oVirt Team: Network


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32196 master MERGED engine: Add separate validation for multicast MAC address Never
oVirt gerrit 32564 ovirt-engine-3.5 MERGED engine: Add separate validation for multicast MAC address Never

Description Steve Kilduff 2014-07-10 14:56:20 UTC
Description of problem:
Typing command with multicast mac address gives error that mac address is incorrectly formatted, instead it should give error that mac address is out of range.

Version-Release number of selected component (if applicable):
3.4.2

How reproducible:
Very.

Steps to Reproduce:
On ovirt-shell, add a network interface and specify a mac address that is multicast:
ovirt-shell# add nic --vm-identifier myvm --network-name default --name eth0 --mac-address '01:HH:EE:HH:HH:01' 

Actual results:
=================================== ERROR =====================
  status: 400
  reason: Bad Request
  detail: MAC address must be in format "HH:HH:HH:HH:HH:HH" where H is a hexadecimal character (either a digit or A-F, case is insignificant).
==========================================================


Expected results:
=================================== ERROR =====================
  status: 400
  reason: Bad Request
  detail: MAC address must not be multicast address. Basically, ensure that you use a MAC address whose second character isn't an odd number.  "H0:HH:HH:HH:HH:HH" 
==========================================================


Additional info:

"help add nic" also produces no output.

Comment 1 Juan Hernández 2014-07-10 15:18:34 UTC
Note that passing a MAC address that has the "H" character will always fail, as that isn't a valid hex character, just a placeholder used in the error message.

I'm moving the bug to the backend component, as there is where the check is performed and the error message is generated.

Comment 2 Steve Kilduff 2014-07-10 16:02:19 UTC
I kinda robotically copied what I thought was an example, silly me. I think the error is better understood and explained with a working example mac address, and in the case of out of bounds, explained it is out of bounds.

Thanks :)

Comment 3 Meni Yakove 2014-09-14 08:16:24 UTC
rhevm-3.5.0-0.12.beta.el6ev.noarch

Comment 4 Sandro Bonazzola 2014-10-17 12:41:36 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.